Package org.eclipse.m2m.atl.emftvm.util

# Interface ModuleResolver

All Known Implementing Classes:
  `ClassModuleResolver`, `DefaultModuleResolver`

public interface ModuleResolver
Resolves modules by name.

## Method Summary

Modifier and Type
Method
Description
`Module`
`resolveModule(String name)`
Resolves the module with the given

## Method Details

### resolveModule

Module resolveModule(String name) throws ModuleNotFoundException
Resolves the module with the given

    name

.

Parameters:
  `name` - the module name
Returns:
  the module with the given name
Throws:
  `ModuleNotFoundException`